Skip to main content
GET
/
commerce
/
catalog
/
admin
/
facets
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "auditInfo": {
        "createBy": "<string>",
        "createDate": "2023-11-07T05:31:56Z",
        "updateBy": "<string>",
        "updateDate": "2023-11-07T05:31:56Z"
      },
      "categoryCode": "<string>",
      "categoryId": 123,
      "facetId": 123,
      "facetType": "<string>",
      "isHidden": true,
      "order": 123,
      "overrideFacetId": 123,
      "rangeQueries": [
        {
          "rangeValueEnd": null,
          "rangeValueStart": null
        }
      ],
      "source": {
        "allowsRangeQuery": true,
        "dataType": "<string>",
        "id": "<string>",
        "name": "<string>",
        "type": "<string>"
      },
      "validity": {
        "isValid": true,
        "reasonCode": "<string>"
      },
      "valueSortType": "<string>"
    }
  ],
  "pageCount": 123,
  "pageSize": 123,
  "startIndex": 123,
  "totalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

Success

items
object[] | null
pageCount
integer<int32>
pageSize
integer<int32>
startIndex
integer<int32>
totalCount
integer<int32>